main.home{
    width: 100vw;
    background: var(--DefaultBackgroundColor);
    display: flex;
    justify-content: center;
}

/* --------------------------------ads bar------------------------------------------ */
main.home .side-ads-bar{
    position: fixed;
    background: BLUE;
    width: 160px;
    height: 600px;
    left: clamp(30px, 3vw, 90px);
    top: 14vh;
}

main.home .side-ads-bar.right{
    left: auto;
    right: clamp(30px, 3vw, 90px);
}   

main.home .top-ads-bar{
    width: 80%;
    height: 110px;
    background: ORANGE;
    margin: 20px 0;
}


/* ------------------------------------------------main content---------------------- */
main.home .main-content{
    display: flex;
    flex-direction: column;
    width: 72%;
}

main.home .main-content .top-ads-bar{
    align-self: center;

}

.home .main-content .score-container{
    width: 100%;
    display: flex;
    gap: 15px;
}

/* ------------------------------------------------left content-------------------------------------------- */

/* top leagues and followed leagues */


.home .main-content .score-container .left-container{
    display: none;
    flex-direction: column;
    gap: 10px;
    width: 30%;
}

.home .main-content .score-container .left-container img{
    width: 12px;
    height: 12px;
}

.home .main-content .score-container .left-container p{
    font-size: 15px;
}

.home .main-content .score-container .left-container h3{
    font-size: 15px;
    font-weight: 600;
    margin-bottom: 10px;
    margin: 12px 0 12px 16px;
}

/* news section */
.home .main-content .score-container .left-container .news-section{
    position: relative;
    width: 100%;
    padding: 4px 12px 35px;
}

.home .main-content .score-container .left-container .top-section{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-right: 16px;
}

.home .main-content .score-container .left-container .top-section p:hover{
    cursor: pointer;
    color: var(--DarkTextColor);  
    text-decoration: underline;  
}

.home .main-content .score-container .left-container .news-section .slider-wrapper{
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    scrollbar-width: none;
}

.home .main-content .score-container .left-container .news-section .slider-wrapper .top-news{
    flex: 1 0 100%;
    scroll-snap-align: start;
    position: relative;
}

.home .main-content .score-container .left-container .news-section .slider-wrapper img{
    width: 100%;
    height: auto;
    border-radius: 12px;
}

.home .main-content .score-container .left-container .slider-nav .news-bottom{
    display: flex;
    width: 100%;
}

.home .main-content .score-container .left-container .slider-nav{
    display: flex;
    justify-content: center;
    gap: 6px;
    position: absolute;
    margin-top: 6px;
    bottom: 1rem;
    left: 40%;
}

.home .main-content .score-container .left-container .slider-nav a{
    width: 10px;
    height: 10px;
    background: var(--DarkTextColor);
    border-radius: 50%;
}

.home .main-content .score-container .left-container .slider-nav a.active{
    background: var(--DarkBackgroundColor);
}

.home .main-content .score-container .left-container .slider-wrapper .news-titles{
    font-size: .9rem;
    font-weight: 600;
    margin-top: 0.3rem;
}

.home .main-content .score-container .left-container .slider-wrapper .time{
    font-size: .75rem;
    color: var(--DarkTextColor);
    margin-top: 4px;
}

/* league section */
.home .main-content .score-container .left-container .league-item{
    display: flex;
    align-items: center;
    padding: 10px 14px;
    cursor: pointer;
}

.home .main-content .score-container .left-container .league-item img{
    margin-right: 10px;
}

.home .main-content .score-container .left-container .league-item p,
.home .main-content .score-container .left-container .country-item p{
    flex: 1;
    font-size: 14px;
}

.home .main-content .score-container .left-container .league-item svg{
    fill: none;
}

.home .main-content .score-container .left-container .league-item:hover,
.home .main-content .score-container .left-container .country-item .main-list:hover,
.home .main-content .score-container .left-container .country-item .country-leagues li:hover{
    background: var(--FooterBackgroundColor);
}

.home .main-content .score-container .left-container .league-item:hover > svg{
    fill: var(--DarkTextColor);
    background: var(--LightBackgroundColor);
    border: 1px solid var(--DefaultBackgroundColor);
    border-radius: 10px;
}

.home .main-content .score-container .left-container .league-item svg:hover{
    fill: var(--LightBackgroundColor);
    background: var(--DarkTextColor);
}

/* all leagues */
.home .main-content .score-container .left-container .all-leagues .filter{
    width: 100%;
    position: relative;
    display: flex;
    justify-content: center;
}

.home .main-content .score-container .left-container .all-leagues .filter input{
    width: 90%;
    padding: 7px 10px 7px 35px;
    border-radius: 20px;
    outline: none;
    border: 1px solid var(--border-color);
}

.home .main-content .score-container .left-container .all-leagues .filter svg{
    position: absolute;
    left: 10%;
    top: 20%;
}

.home .main-content .score-container .left-container .country-list{
    margin-top: 8px;
}

.home .main-content .score-container .left-container .country-item{
    display: flex;
    flex-direction: column;
    cursor: pointer;
}

.home .main-content .score-container .left-container .country-item .main-list img,
.home .main-content .score-container .left-container .country-item li img{
    width: 16px;
    height: 16px;
    margin-right: 8px;
}

.home .main-content .score-container .left-container .country-item .main-list svg{
    transform: rotate(180deg);
}   

.home .main-content .score-container .left-container .country-item .main-list,
.home .main-content .score-container .left-container .country-item li{
    display: flex;
    padding: 10px;
    align-items: center;
}

.home .main-content .score-container .left-container .country-item li{
    color: var(--DarkTextColor);
}

.home .main-content .score-container .left-container .country-item ul{
    list-style-type: none;
    display: none;
}

.home .main-content .score-container .left-container .country-item ul.active{
    display: block;
}

/* top leagues */

.home .main-content .top-leagues-score{
    padding: 1rem;
}

.home .main-content .top-leagues-score .leagues-details img{
    width: 40px;
    height: 40px;
    border-radius: 18px;
    border: 1px solid var(--border-color);
    padding: 8px;
}

.home .main-content .top-leagues-score .leagues-details{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}

.home .main-content .top-leagues-score .leagues-details .league p{
    font-size: 1rem;
    font-weight: 600;
}

.home .main-content .top-leagues-score .leagues-details .league p.country{
    color: var(--DarkTextColor);
    font-size: .8rem;
}

.home .main-content .top-leagues-score table{
    width: 100%;
    border-collapse: separate;
    border-spacing: 0 8px;
}

.home .main-content .top-leagues-score table .small-column{
    width: 30px;
    text-align: center;
}

.home .main-content .top-leagues-score table .column{
    width: auto;
}

.home .main-content .top-leagues-score table tr.row,
.home .main-content .top-leagues-score table tr.top{
    background: var(--FooterBackgroundColor);
    cursor: pointer;
}

.home .main-content .top-leagues-score table tr.top{
    background: rgba(34, 197, 94, 0.15);
}

.home .main-content .top-leagues-score table tr.row:nth-of-type(2){
    background: rgba(59, 130, 246, 0.15);
}

.home .main-content .top-leagues-score table tr.row:nth-of-type(3){
    background: rgba(234, 179, 8, 0.15);
}

.home .main-content .top-leagues-score table tr.row:hover,
.home .main-content .top-leagues-score table tr.top:hover{
    background: var(--DarkCardBackgroundColor);
}

.home .main-content .top-leagues-score table tr.row td,
.home .main-content .top-leagues-score table tr.top td{
    padding: 10px 8px;
    font-size: .85rem;
}

.home .main-content .top-leagues-score table tr.row td:first-child,
.home .main-content .top-leagues-score table tr.top td:first-child{
    border-radius: 8px 0 0 8px;
}

.home .main-content .top-leagues-score table tr.row td:last-child,
.home .main-content .top-leagues-score table tr.top td:last-child{
    border-radius: 0 8px 8px 0;
}

.home .main-content .top-leagues-score table tr.title th{
    font-size: .75rem;
    font-weight: 600;
    color: var(--DarkTextColor);
    padding: 6px 8px;
}

.home .main-content .top-leagues-score table .team{
    display: flex;
    align-items: center;
    gap: 8px;
}

.home .main-content .top-leagues-score table .team img{
    width: 18px;
    height: 18px;
}



/* ------------------------------------------right section------------------------------------------------ */
.home .main-content .score-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1;
    gap: 10px;
}

/* filter */

.home .main-content .score-section .date-filter{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 14px 0;
    width: 100%;
}

.home .main-content .score-section .date-filter .date{
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 0 12px 18px;
    border-bottom: 1px solid var(--border-color);
}
.home .main-content .score-section .date-filter .date i svg{
    width: 24px;
    height: 24px;
    fill: var(--TextDefaultColor);
    background: var(--FooterBackgroundColor);
    border-radius: 16px;
    padding: 4px;
}

.home .main-content .score-section .date-filter .date i svg:hover{
    cursor: pointer;
    background: var(--DarkBackgroundColor);
    fill: var(--LightTextColor);
}

.home .main-content .score-section .date-filter .display-date{
    display: flex;
    gap: 6px;
    align-items: center;
    font-weight: 600;
    cursor: pointer;
}

.home .main-content .score-section .date-filter .display-date svg{
    transform: rotate(180deg);
}


.home .main-content .score-section .date-filter .display-date:hover,
.home .main-content .score-section .date-filter .display-date:hover > svg{
    color: var(--DarkTextColor);
    fill: var(--DarkTextColor);
}

.home .main-content .score-section .date-filter .filter-fields{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-top: 12px;
    width: 100%;
    padding: 0 13px;
}

.home .main-content .score-section .date-filter .filter-fields p{
    font-size: 14px;
    font-weight: 600;
    border: 1px solid var(--border-color);
    border-radius: 14px;
    padding: 4px 12px;
}

.home .main-content .score-section .date-filter .filter-fields .filter{
    position: relative;
    flex: 1;
}

.home .main-content .score-section .date-filter .filter-fields .filter input{
    border: 1px solid var(--border-color);
    outline: none;
    border-radius: 16px;
    width: 100%;
    font-size: .8rem;
    padding: 5px 12px 5px 35px;
}

.home .main-content .score-section .date-filter .filter-fields .filter input::placeholder{
    font-weight: 600;
    color: var(--DarkTextColor);
}

.home .main-content .score-section .date-filter .filter-fields .filter input:focus::placeholder{
    color: white;
}

.home .main-content .score-section .date-filter .filter-fields .filter svg{
    position: absolute;
    left: 2%;
    top: 50%;
    transform: translateY(-50%);
}

.home .main-content .score-section .date-filter .filter-fields button .icon{
    width: 28px;
    height: 28px;
    border: 1px solid var(--border-color);
    border-radius: 16px;
    padding: 4px;
    display: none;
}

.home .main-content .score-section .date-filter .filter-fields button .icon:hover{
    background: var(--FooterBackgroundColor);
}

.home .main-content .score-section .date-filter .filter-fields button .active{
    display: block;
}


/* match-score */
.home .main-content .score-section .match-score img{
    width: 16px;
    height: 16px;
}

.home .main-content .score-section .match-score{
    display: flex;
    flex-direction: column;
    padding: 0;
    border: none;
}

.home .main-content .score-section .match-score .country-leagues{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.home .main-content .score-section .match-score .country-leagues .league{
    border-radius: 10px 0 0 0;
    flex: 1;
}

.home .main-content .score-section .match-score .country-leagues .hide-btn{
    border-radius: 0 10px 0 0;
    height: 100%;
}

.home .main-content .score-section .match-score .country-leagues .hide-btn p{
    font-size: .6rem;
    font-weight: 600;
    border-radius: 12px;
    padding: 4px 8px;
    background: var(--DarkBackgroundColor2);
    color: var(--LightTextColor);
}

.home .main-content .score-section .match-score .country-leagues .hide-btn:hover,
.home .main-content .score-section .match-score .country-leagues .league:hover{
    background: var(--DarkCardBackgroundColor);
    cursor: pointer;
}

.home .main-content .score-section .match-score .country-leagues .hide-btn,
.home .main-content .score-section .match-score .country-leagues .league{
    background: var(--FooterBackgroundColor);
    padding: 14px 16px;
    font-size: .9rem;
    font-weight: 600;
    display: flex;
    gap: 10px;
    align-items: center;
    height: 100%;
}

.home .main-content .score-section .hide-all{
    display: flex;
    align-items: center;
    gap: 6px;
    font-size: .9rem;
    font-weight: 600;
    cursor: pointer;
    border: 1px solid var(--border-color);
    background: var(--LightBackgroundColor);
    padding: 8px 16px;
    border-radius: 20px;
    margin: 2rem 0 .6rem;
}

.home .main-content .score-section .hide-num.active{
    display: none;
}

.home .main-content .score-section .hide-all:hover{
    background: var(--DarkCardBackgroundColor);
}

.home .main-content .score-section .match-score .score{
    display: flex;
    padding: 18px 16px;
    font-size: .8rem;
    font-weight: 600;
    border-radius: 0 0 12px 12px;
    text-decoration: none;
    color: inherit;
}

.home .main-content .score-section .match-score .score.active{
    display: none;
}

.home .main-content .score-section .match-score .score:hover{
    background: var(--DarkBackgroundColor2);
}

.home .main-content .score-section .match-score .score .position{
    color: var(--DarkBackgroundColor2);
    background: var(--FooterBackgroundColor);
    border: 1px solid var(--border-color);
    padding: 1px 4px;
    border-radius: 10px;
}

.home .main-content .score-section .match-score .score .match{
    display: flex;
    margin: auto;
    gap: 10px;
    align-items: center;
}





/* ----------------------------------------media query------------------------------------------- */
@media (width > 1000px) {
    .home .main-content .score-container .left-container{
        display: flex;
    }
}

@media (max-width: 1528px) {
    main.home .side-ads-bar{
        display: none;
    }

    main.home .main-content{
        width: 96%;
    }
}
